Package org.apache.felix.webconsole

## Class DefaultBrandingPlugin

- java.lang.Object
- - org.apache.felix.webconsole.DefaultBrandingPlugin

All Implemented Interfaces:
  `BrandingPlugin`, `BrandingPlugin`

    @Deprecated
    public class DefaultBrandingPlugin
    extends Object
    implements BrandingPlugin

Deprecated.
Plugins should never use the branding plugin directly
The `DefaultBrandingPlugin` class is the default implementation of the `BrandingPlugin` interface. The singleton instance of this class is used as branding plugin if no BrandingPlugin service is registered in the system.

This default implementation provides Apache Felix based default branding as follows:

Web Console Branding Properties
Name | Property Name | Default Value
--- | --- | ---
Brand Name | webconsole.brand.name | Apache Felix Web Console
Product Name | webconsole.product.name | Apache Felix
Product URL | webconsole.product.url | https://felix.apache.org
Product Image | webconsole.product.image | /res/imgs/logo.png
Vendor Name | webconsole.vendor.name | The Apache Software Foundation
Vendor URL | webconsole.vendor.url | https://www.apache.org
Vendor Image | webconsole.vendor.image | /res/imgs/logo.png
Favourite Icon | webconsole.favicon | /res/imgs/favicon.ico
Main Stylesheet | webconsole.stylesheet | /res/ui/admin.css

If a properties file `META-INF/webconsole.properties` is available through the class loader of this class, the properties overwrite the default settings according to the property names listed above. The easiest way to add such a properties file is to provide a fragment bundle with the file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getBrandName()` Deprecated. Returns an indicative name of the branding plugin.
`String` `getFavIcon()` Deprecated. Returns the absolute path to an icon to be used as the web console "favicon".
`static DefaultBrandingPlugin` `getInstance()` Deprecated. Retrieves the shared instance
`String` `getMainStyleSheet()` Deprecated. Returns the absolute path to a CSS file to be used as the main CSS for the basic admin site.
`String` `getProductImage()` Deprecated. Returns an absolute path to an image to be rendered as the logo of the branding product.
`String` `getProductName()` Deprecated. Returns the name of the product in which the web console is contained and to which the web console is branded.
`String` `getProductURL()` Deprecated. Returns an (absolute) URL to a web site representing the product to which the web console is branded.
`String` `getVendorImage()` Deprecated. Returns an absolute path to an image to be rendered as the logo of the branding product vendor.
`String` `getVendorName()` Deprecated. Returns the name of the branding product vendor.
`String` `getVendorURL()` Deprecated. Returns an (absolute) URL to the web site of the branding product vendor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static DefaultBrandingPlugin getInstance()

Deprecated.
Retrieves the shared instance

Returns:
  the singleton instance of the object

#### getBrandName

    public String getBrandName()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns an indicative name of the branding plugin. This value is used as the Window/Page title together with the title of the respective plugin.

Specified by:
  `getBrandName` in interface `BrandingPlugin`
Returns:
  the name of the branding plugin

#### getProductName

    public String getProductName()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns the name of the product in which the web console is contained and to which the web console is branded.

Specified by:
  `getProductName` in interface `BrandingPlugin`
Returns:
  the product name

#### getProductURL

    public String getProductURL()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns an (absolute) URL to a web site representing the product to which the web console is branded.

Specified by:
  `getProductURL` in interface `BrandingPlugin`
Returns:
  the product URL

#### getProductImage

    public String getProductImage()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns an absolute path to an image to be rendered as the logo of the branding product.

Specified by:
  `getProductImage` in interface `BrandingPlugin`
Returns:
  a path to an image - usually the product logo

#### getVendorName

    public String getVendorName()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns the name of the branding product vendor.

Specified by:
  `getVendorName` in interface `BrandingPlugin`
Returns:
  the product vendor

#### getVendorURL

    public String getVendorURL()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns an (absolute) URL to the web site of the branding product vendor.

Specified by:
  `getVendorURL` in interface `BrandingPlugin`
Returns:
  the URL of the product vendor

#### getVendorImage

    public String getVendorImage()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns an absolute path to an image to be rendered as the logo of the branding product vendor.

Specified by:
  `getVendorImage` in interface `BrandingPlugin`
Returns:
  the company logo

#### getFavIcon

    public String getFavIcon()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns the absolute path to an icon to be used as the web console "favicon".

Specified by:
  `getFavIcon` in interface `BrandingPlugin`
Returns:
  path to an image, that is shown as favorite icon in the web browser

#### getMainStyleSheet

    public String getMainStyleSheet()

Deprecated.
Description copied from interface: `BrandingPlugin`
Returns the absolute path to a CSS file to be used as the main CSS for the basic admin site.

Specified by:
  `getMainStyleSheet` in interface `BrandingPlugin`
Returns:
  a path to a custom CSS. Used to override the default web console styling